/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { publicConstants } from '@pega/pcore-pconnect-typedefs/constants';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
interface ConfirmationProps {
    datasource: {
        source: any;
    };
    label: string;
    showLabel: boolean;
    showTasks: boolean;
}
export declare class ConfirmationComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    angularPConnectData: AngularPConnectData;
    configProps$: ConfirmationProps;
    rootInfo: any;
    datasource: any;
    showTasks: any;
    detailProps: any;
    toDoList: any;
    label: string;
    CONSTS: typeof publicConstants;
    showDetails: boolean;
    showConfirmView: boolean;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    onConfirmViewClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmationComponent, "app-confirmation", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
